Method: projects.locations.brands.configApplicationRules.revisions.list

Lists ConfigApplicationRuleRevisions.

HTTP request

GET https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/brands/*/configApplicationRules/*}/revisions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent config application rule, which owns this collection of revisions. Format: projects/{project}/locations/{location}/brands/{brand}/configApplicationRules/{configApplicationRule}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of revisions to return. The service may return fewer than this value.

pageToken

string

Optional. A page token, received from a previous revisions.list call. Provide this to retrieve the subsequent page.

Request body

The request body must be empty.

Response body

Response message for MenuService.ListConfigApplicationRuleRevisions.

If successful, the response body contains data with the following structure:

JSON representation
{
  "configApplicationRuleRevisions": [
    {
      object (ConfigApplicationRuleRevision)
    }
  ],
  "nextPageToken": string
}
Fields
configApplicationRuleRevisions[]

object (ConfigApplicationRuleRevision)

The config application rule revisions from the specified collection.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.